﻿@model FunXgame.Models.Usuario

@{
    ViewBag.Title = "LogIn";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="w-100 d-flex justify-content-between mb-5">
    <div class="card text-white bg-dark mb-3 mt-5" style="width: 45%;">
        <div class="card-header">Iniciar sesión</div>
        <div class="card-body">
            @using (Html.BeginForm("LogIn", "LogIn", FormMethod.Post, new { role = "form", @class = "", id = "formLogIn" }))
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <h4>Usuario registrado</h4>
                    <hr />
                    <div class="form-group">
                        <label class="form-text">Email:</label>
                        <div class="col-12 p-0">
                            <!--AQUI AGREGUE p-0, Y AJUSTÉ LA COLUMNA A 12-->
                            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control col-12" } })<!--AQUI AGREGUE COL-12-->
                        </div>
                    </div>

                    <div class="form-group">
                        <label>Password:</label>
                        <div class="col-12 p-0">
                            @Html.EditorFor(model => model.Contrasena, new { htmlAttributes = new { @class = "form-control col-12", @type = "password" } })
                        </div>
                    </div>

                    <div class="form-group mt-5">
                        <div class="col-md-offset-2 col-md-12 p-0">
                            <input type="submit" value="Ingresar" class="btn btn-primary btn-lg btn-block col-12" />
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>

    <div class="card bg-light mb-3 mt-5" style="width: 45%;">
        <div class="card-header">Registrarse</div>
        <div class="card-body d-flex flex-column ">
            <h4 class="card-title">¿Eres nuevo aquí?</h4>
            <p class="card-text text-justify">Forma parte de la comunidad de FunXgames registrandote aquí. Los usuarios registrados pueden llevar el registro de sus compras.</p>
            <button type="button" class="btn btn-info btn-lg btn-block mt-5">Registrarse ahora</button>
        </div>
    </div>
</div>

@*@using (Html.BeginForm("LogIn", "LogIn", FormMethod.Post, new { role = "form", @class = "", id = "formLogIn" }))
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h4>Usuario</h4>
    <hr />
    <div class="form-group">
        <label>Email:</label>
        <div class="col-md-10">
            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
        </div>
    </div>

    <div class="form-group">
        <label>Password:</label>
        <div class="col-md-10">
            @Html.EditorFor(model => model.Contrasena, new { htmlAttributes = new { @class = "form-control", @type = "password" } })
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Ingresar" class="btn btn-primary" />
        </div>
        <div>
            @Html.ActionLink("¿No tiene cuenta? cree una", "", "")--> @*PENDIENTE PARA CUANDO EXITA CONTROLADRO DE CREACION DE UENTA DE USUARIO ()
        <!--</div>
    </div>
</div>
}*@



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script src="~/Scripts/Validaciones/valida_ingreso_usuario.js"></script>
    <script>
        $(document).ready(function () {
            validaLogin("@Url.Content("~/LogIn/LogIn")","@Url.Content("~/AdminPanel/AdminPerfil")", "@Url.Content("~/Home/Index")"  )
        })
    </script>
}
